import request from '@/utils/request'

// -------------------------站内信-------------------------------------------
export function getSendMessages(data) {
  return request({
    url: '/api/business/center/getSendMessages',
    method: 'post',
    data: data
  })
}

export function countSendMessages(data) {
  return request({
    url: '/api/business/center/countSendMessages',
    method: 'post',
    data: data
  })
}

export function getReceiveMessages(data) {
  return request({
    url: '/api/business/center/getReceiveMessages',
    method: 'post',
    data: data
  })
}

export function countReceiveMessages(data) {
  return request({
    url: '/api/business/center/countReceiveMessages',
    method: 'post',
    data: data
  })
}

export function insertReceiveMessage(data) {
  return request({
    url: '/api/business/center/insertReceiveMessage',
    method: 'post',
    data: data
  })
}

export function updateReceiveMessage(data) {
  return request({
    url: '/api/business/center/updateReceiveMessage',
    method: 'post',
    data: data
  })
}

export function delReceiveMessage(data) {
  return request({
    url: '/api/business/center/delReceiveMessage?id=' + data, // 删除首页配置信息
    method: 'post'
  })
}

// -------------------------聊天室-------------------------------------------
export function getImRooms(data) {
  return request({
    url: '/api/business/center/getImRooms',
    method: 'post',
    data: data
  })
}

export function addImRoom(data) {
  return request({
    url: '/api/business/center/addImRoom',
    method: 'post',
    data: data
  })
}

export function updateImRoom(data) {
  return request({
    url: '/api/business/center/updateImRoom',
    method: 'post',
    data: data
  })
}

export function updateImRoomWithStatus(data) {
  return request({
    url: '/api/business/center/updateImRoomWithStatus',
    method: 'post',
    data: data
  })
}

export function deleteImRoom(data) {
  return request({
    url: '/api/business/center/deleteImRoom?id=' + data,
    method: 'post'
  })
}

// -------------------------聊天室黑名单-------------------------------------------
export function getImRoomBlackUser(data) {
  return request({
    url: '/api/business/center/getImRoomBlackUser',
    method: 'post',
    data: data
  })
}

export function addImRoomBlackUser(data) {
  return request({
    url: '/api/business/center/addImRoomBlackUser',
    method: 'post',
    data: data
  })
}

export function deleteImRoomBlackUser(data) {
  return request({
    url: '/api/business/center/deleteImRoomBlackUser?id=' + data,
    method: 'post'
  })
}
// -------------------------日志-------------------------------------------
export function getBatchLog(data) {
  return request({
    url: '/api/business/center/getBatchLog',
    method: 'post',
    data: data
  })
}

export function countBatchLog(data) {
  return request({
    url: '/api/business/center/countBatchLog',
    method: 'post',
    data: data
  })
}

// -------------------------站内信-------------------------------------------
export function getPageSysMessage(data) {
  return request({
    url: '/api/business/center/pageSysMessage',
    method: 'get',
    params: data
  })
}

export function updateSysMessage(data) {
  return request({
    url: '/api/business/center/saveSysMessage',
    method: 'post',
    data: data
  })
}

export function deleteSysMessage(data) {
  return request({
    url: '/api/business/customer/deleteSysMessage?id=' + data.id,
    method: 'post'
  })
}

// -------------------------公告-------------------------------------------
export function getPageSysNotice(data) {
  return request({
    url: '/api/business/center/pageSysNotice',
    method: 'get',
    params: data
  })
}

export function updateSysNotice(data) {
  return request({
    url: '/api/business/center/saveSysNotice',
    method: 'post',
    data: data
  })
}

export function deleteSysNotice(data) {
  return request({
    url: '/api/business/center/deleteSysNotice?id=' + data.id,
    method: 'get'
  })
}

// -------------------------用户等级配置-------------------------------------------
export function getUserLevelConfig(data) {
  return request({
    url: '/api/business/center/getUserLevelConfig',
    method: 'get',
    params: data
  })
}

export function updateUserLevelConfig(data) {
  return request({
    url: '/api/business/center/saveUserLevelConfig',
    method: 'get',
    params: data
  })
}

export function deleteUserLevelConfig(data) {
  return request({
    url: '/api/business/center/deleteUserLevelConfig?id=' + data.id,
    method: 'get'
  })
}

// -------------------------用户行为奖励配置-------------------------------------------
export function getUserOperateConfig(data) {
  return request({
    url: '/api/business/center/getUserOperateConfig',
    method: 'get',
    params: data
  })
}

export function updateUserOperateConfig(data) {
  return request({
    url: '/api/business/center/saveUserOperateConfig',
    method: 'get',
    params: data
  })
}

export function deleteUserOperateConfig(data) {
  return request({
    url: '/api/business/center/deleteUserOperateConfig?id=' + data.id,
    method: 'get'
  })
}
// 配置项
export function getConfigItems(data) {
  return request({
    url: '/api/business/dict/pageDictConfig',
    method: 'get',
    params: data
  })
}

export function updateConfigItems(data) {
  return request({
    url: '/api/business/dict/saveDictConfig',
    method: 'post',
    data: JSON.stringify(data)
  })
}

export function deleteConfigItem(data) {
  return request({
    url: '/api/business/dict/deleteDictConfig',
    method: 'post',
    data,
  })
}

// 代言人等级
export function getProxyLevelConfig(data) {
  return request({
    url: '/api/business/dict/pageUserLevel',
    method: 'get',
    params: data
  })
}

export function updateProxyLevelConfig(data) {
  return request({
    url: '/api/business/dict/saveUserLevel',
    method: 'post',
    data: JSON.stringify(data)
  })
}

export function deleteProxyLevelConfig(data) {
  return request({
    url: '/api/business/dict/deleteUserLevel?id='+data.id,
    method: 'post',
  })
}


export function getPageSysRobotMsg(data) {
  return request({
    url: '/api/business/sys-robot-msg/pageSysRobotMessage',
    method: 'get',
    params: data
  })
}
export function updateSysRobotMsg(data) {
  return request({
    url: '/api/business/sys-robot-msg/saveSysRobotMessage',
    method: 'post',
    data: data
  })
}

export function deleteSysRobotMsg(data) {
  return request({
    url: '/api/business/sys-robot-msg/deleteSysRobotMessage?id=' + data.id,
    method: 'post'
  })
}


export function getPageSysRobot(data) {
  return request({
    url: '/api/business/sys-robot/pageSysRobot',
    method: 'get',
    params: data
  })
}

export function updateVipLevelConfig(data) {
  return request({
    url: '/api/business/member/saveUserMember',
    method: 'post',
    data
  })
}

export function deleteVipLevelConfig(data) {
  return request({
    url: '/api/business/member/deleteUserMember?id=' + data.id,
    method: 'post',
    data: data
  })
}
export function updateSysRobot(data) {
  return request({
    url: '/api/business/sys-robot/saveSysRobot',
    method: 'post',
    data: data
  })
}

export function deleteSysRobot(data) {
  return request({
    url: '/api/business/sys-robot/deleteSysRobot?id=' + data.id,
    method: 'get'
  })
}
