import request from '@/utils/request'

// -------------------------用户信息-------------------------------------------
export function getCustomerInfos(data) {
  return request({
    url: '/api/business/customer/getCustomerInfos', // 获取首页配置信息
    method: 'post',
    data: data
  })
}
export function getCustomerInfosSub(uuid) {
  return request({
    url: '/api/business/customer/getUserInfoByUuid?uuid='+uuid, // 获取首页配置信息
    method: 'get',
    // data: data
  })
}
export function registeredUser(data) {
  return request({
    url: '/api/business/customer/registeredUser',
    method: 'post',
    data: data
  })
}

export function setManager(data) {
  return request({
    url: '/api/business/customer/setManager',
    method: 'post',
    data: data
  })
}

export function countCustomerInfos(data) {
  return request({
    url: '/api/business/customer/countCustomerInfos', // 获取首页配置信息
    method: 'post',
    data: data
  })
}

export function updateCustomerInfo(data) {
  return request({
    url: '/api/business/customer/updateCustomerInfo', // 更新首页配置信息
    method: 'post',
    data: data
  })
}

export function tongbu() {
  return request({
    url: '/api/business/customer/tongbu', // 更新首页配置信息
    method: 'post'
  })
}
// -------------------------用户附加信息-------------------------------------------
export function getChildCustomerInfos(data) {
  return request({
    url: '/api/business/customer/getChildCustomerInfos', // 获取首页配置信息
    method: 'post',
    data: data
  })
}

export function countChildCustomerInfos(data) {
  return request({
    url: '/api/business/customer/countChildCustomerInfos', // 获取首页配置信息
    method: 'post',
    data: data
  })
}

export function updateChildCustomerInfo(data) {
  return request({
    url: '/api/business/customer/updateChildCustomerInfo', // 更新首页配置信息
    method: 'post',
    data: data
  })
}
// -------------------------账单信息-------------------------------------------
export function getBillList(data) {
  return request({
    url: '/api/business/customer/getBillList', // 获取首页配置信息
    method: 'post',
    data: data
  })
}

export function countBillList(data) {
  return request({
    url: '/api/business/customer/countBillList', // 获取首页配置信息
    method: 'post',
    data: data
  })
}

export function updateBillList(data) {
  return request({
    url: '/api/business/customer/updateBillList', // 更新首页配置信息
    method: 'post',
    data: data
  })
}

// -------------------------反馈信息-------------------------------------------
export function getPageFeedback(data) {
  return request({
    url: '/api/business/customer/pageFeedback',
    method: 'get',
    params: data
  })
}

export function updateFeedback(data) {
  return request({
    url: '/api/business/customer/saveFeedback',
    method: 'get',
    params: data
  })
}

export function deleteFeedback(data) {
  return request({
    url: '/api/business/customer/deleteFeedback?id=' + data.id,
    method: 'post'
  })
}

// -------------------------积分账单-------------------------------------------
export function getPagePoint(data) {
  return request({
    url: '/api/business/customer/pagePoint',
    method: 'get',
    params: data
  })
}

export function updatePoint(data) {
  return request({
    url: '/api/business/customer/updatePoint',
    method: 'post',
    data: data
  })
}

// -------------------------违规记录-------------------------------------------
export function getPageViolationRecord(data) {
  return request({
    url: '/api/business/customer/pageViolationRecord',
    method: 'get',
    params: data
  })
}

export function updateViolationRecord(data) {
  return request({
    url: '/api/business/customer/saveViolationRecord',
    method: 'get',
    params: data
  })
}

export function deleteViolationRecord(data) {
  return request({
    url: '/api/business/customer/deleteViolationRecord?id=' + data.id,
    method: 'post'
  })
}
export function pagePoint(data) {
  return request({
    url: '/api/business/customer/pagePoint',
    method: 'get',
    params: data
  })
}
export function getUserInfoByLoginName(data) {
  return request({
    url: '/api/business/customer/getUserInfoByLoginName?loginName=' + data,
    method: 'get'
  })
}

export function pageComplain(data) {
  return request({
    url: '/api/business/top/pageComplain',
    method: 'get',
    params: data
  })
}
export function saveComplain(data) {
  return request({
    url: '/api/business/top/saveComplain',
    method: 'get',
    params: data
  })
}

export function saveProxyData(data) {
  return request({
    url: '/api/business/customer/saveProxyData',
    method: 'post',
    params: data
  })
}

export function pageUserProxy(data) {
  return request({
    url: '/api/business/center/pageUserReportMonth',
    method: 'get',
    params: data
  })
}
export function addPrice(data) {
  return request({
    url: '/api/business/customer/insPrice',
    method: 'get',
    params: data
  })
}

export function pageUserProxyList(data) {
  return request({
    url: '/api/business/customer/pageUserProxyList',
    method: 'get',
    params: data
  })
}
export function getAccountType(data) {
  return request({
    url: '/api/business/customer/getAccountType',
    method: 'get',
    data: data
  })
}

export function saveAccountType(data) {
  return request({
    url: '/api/business/customer/saveAccountType',
    method: 'post',
    data: data
  })
}

// 平台禁言
/**
 * @param
 * "uuid":"",//用户uuid
 * "reason":""//禁言原因reason,
 * "ban":0 //默认0 禁言1
 */
export function banAccount(data) {
  return request({
    url: '/api/business/customer/banUser',
    method: 'post',
    data: data
  })
}

// 审核积分
/**
 *
 * @param {
 *
 * } data
 */
export function processPoint(data) {
  return request({
    url: '/api/business/customer/pointReview',
    method: 'post',
    data: data
  })
}
