import request from '@/utils/request'

export function select(data) {
  return request({
    url: '/api/business/top/getTopConfig', // 获取首页配置信息
    method: 'get',
    params: data
  })
}

export function add(data) {
  console.log('=============')
  console.log(data)
  return request({
    url: '/api/business/top/saveTbConfig', // 新增首页配置信息
    method: 'post',
    data: data
  })
}

// export function update(data) {
//   return request({
//     url: '/api/business/top/updateTopConfig', // 更新首页配置信息
//     method: 'post',
//     data: data
//   })
// }

export function del(data) {
  return request({
    url: '/api/business/top/deleteTopConfig?id=' + data, // 删除首页配置信息
    method: 'get'
  })
}

// 0 图片广告在前  1 图片广告在后
export function changeSort(data) {
  return request({
    url: '/api/business/top/switchPicSort?sort=' + data, // 删除首页配置信息
    method: 'get'
  })
}

export function upload(data, headers) {
  return request({
    url: '/api/file/upload', // 上传图片
    method: 'post',
    headers: headers,
    data: data
  })
}

// -------------------------专家信息-------------------------------------------
export function getZjExpert(data) {
  return request({
    url: '/api/business/top/getZjExpert',
    method: 'post',
    data: data
  })
}
export function getZjExpertDet(id) {
  return request({
    url: '/api/business/top/getZjExpertById?id=' + id,
    method: 'get',
  })
}

export function countZjExpert(data) {
  return request({
    url: '/api/business/top/countZjExpert',
    method: 'post',
    data: data
  })
}

export function updateZjExpert(data) {
  return request({
    url: '/api/business/top/updateZjExpert', // 更新首页配置信息
    method: 'post',
    data: data
  })
}
// -------------------------专家预测-------------------------------------------
export function selectZjExpertPredict(data) {
  return request({
    url: '/api/business/top/getZjExpertPredict',
    method: 'post',
    data: data
  })
}

export function countZjExpertPredict(data) {
  return request({
    url: '/api/business/top/countZjExpertPredict',
    method: 'post',
    data: data
  })
}

export function checkZjExpert(data) {
  return request({
    url: '/api/business/top/checkZjExpertPredict',
    method: 'post',
    data: data
  })
}

export function lotsCheckZjExpert(data) {
  return request({
    url: '/api/business/top/lotsCheckZjExpert',
    method: 'post',
    data: data
  })
}

export function delZjExpert(data) {
  return request({
    url: '/api/business/top/delZjExpertPredict?id=' + data,
    method: 'post'
  })
}

export function kjZjExpertPredict(data) {
  return request({
    url: '/api/business/top/kjZjExpertPredict?cpType=' + data,
    method: 'get'
  })
}

export function updateSeeData(data) {
  return request({
    url: '/api/business/top/updateSee',
    method: 'post',
    data: data
  })
}

// -------------------------专家条件-------------------------------------------
export function getZjConfig(data) {
  return request({
    url: '/api/business/top/getZjConfig',
    method: 'post',
    data: data
  })
}

export function addZjConfig(data) {
  return request({
    url: '/api/business/top/addZjConfig',
    method: 'post',
    data: data
  })
}

export function updateZjConfig(data) {
  return request({
    url: '/api/business/top/updateZjConfig',
    method: 'post',
    data: data
  })
}

export function deleteZjConfig(data) {
  return request({
    url: '/api/business/top/deleteZjConfig?id=' + data,
    method: 'post'
  })
}

// -------------------------专家统计-------------------------------------------
export function getZjExpertStatis(data) {
  return request({
    url: '/api/business/top/getZjExpertStatis',
    method: 'post',
    data: data
  })
}

export function countZjExpertStatis(data) {
  return request({
    url: '/api/business/top/countZjExpertStatis',
    method: 'post',
    data: data
  })
}

export function updateZjExpertStatis(data) {
  return request({
    url: '/api/business/top/updateZjExpertStatis',
    method: 'post',
    data: data
  })
}

// -------------------------专家历史统计-------------------------------------------
export function getZjExpertStatisHistory(data) {
  return request({
    url: '/api/business/top/getZjExpertStatisHistory',
    method: 'post',
    data: data
  })
}

export function countZjExpertStatisHistory(data) {
  return request({
    url: '/api/business/top/countZjExpertStatisHistory',
    method: 'post',
    data: data
  })
}

export function updateZjExpertStatisHistory(data) {
  return request({
    url: '/api/business/top/updateZjExpertStatisHistory',
    method: 'post',
    data: data
  })
}
// -------------------------心水论坛-------------------------------------------
export function getXsltPosts(data) {
  return request({
    url: '/api/business/top/getXsltPosts',
    method: 'post',
    data: data
  })
}

export function countXsltPosts(data) {
  return request({
    url: '/api/business/top/countXsltPosts',
    method: 'post',
    data: data
  })
}

export function updateXsltPosts(data) {
  return request({
    url: '/api/business/top/updateXsltPosts',
    method: 'post',
    data: data
  })
}

export function deleteXsltPosts(data) {
  return request({
    url: '/api/business/top/deleteXsltPosts?id=' + data,
    method: 'post'
  })
}
// -------------------------心水论坛评论-------------------------------------------
export function getXsltPostsComment(data) {
  return request({
    url: '/api/business/top/getXsltPostsComment',
    method: 'post',
    data: data
  })
}

export function countXsltPostsComment(data) {
  return request({
    url: '/api/business/top/countXsltPostsComment',
    method: 'post',
    data: data
  })
}

export function deleteXsltPostsComment(data) {
  return request({
    url: '/api/business/top/deleteXsltPostsComment?id=' + data,
    method: 'post'
  })
}
// -------------------------每日玄机-------------------------------------------
export function getXjxxs(data) {
  return request({
    url: '/api/business/top/getXjxxs',
    method: 'post',
    data: data
  })
}

export function addXjxx(data) {
  return request({
    url: '/api/business/top/addXjxx',
    method: 'post',
    data: data
  })
}

export function updateXjxx(data) {
  return request({
    url: '/api/business/top/updateXjxx',
    method: 'post',
    data: data
  })
}

export function deleteXjxx(data) {
  return request({
    url: '/api/business/top/deleteXjxx?id=' + data,
    method: 'post'
  })
}
// -------------------------六合图库-------------------------------------------
export function getLhtks(data) {
  return request({
    url: '/api/business/top/getLhtks',
    method: 'post',
    data: data
  })
}

export function addLhtk(data) {
  return request({
    url: '/api/business/top/addLhtk',
    method: 'post',
    data: data
  })
}

export function updateLhtk(data) {
  return request({
    url: '/api/business/top/updateLhtk',
    method: 'post',
    data: data
  })
}

export function deleteLhtk(data) {
  return request({
    url: '/api/business/top/deleteLhtk?id=' + data,
    method: 'post'
  })
}
// -------------------------投票-------------------------------------------
export function getTjVotes(data) {
  return request({
    url: '/api/business/top/getTjVotes',
    method: 'get',
    params: data
  })
}

export function countTjVotes(data) {
  return request({
    url: '/api/business/top/countTjVotes',
    method: 'post',
    data: data
  })
}

export function tjVoteKj(data) {
  return request({
    url: '/api/business/top/tjVoteKj?cpType=' + data,
    method: 'get'
  })
}

// -------------------------168公式-------------------------------------------
export function getFormula168(data) {
  return request({
    url: '/api/business/top/getFormula168',
    method: 'post',
    data: data
  })
}

export function addFormula168(data) {
  return request({
    url: '/api/business/top/addFormula168',
    method: 'post',
    data: data
  })
}

export function updateFormula168(data) {
  return request({
    url: '/api/business/top/updateFormula168',
    method: 'post',
    data: data
  })
}

export function deleteFormula168(data) {
  return request({
    url: '/api/business/top/deleteFormula168?id=' + data,
    method: 'post'
  })
}
// -------------------------老黄页-------------------------------------------
export function getLhls(data) {
  return request({
    url: '/api/business/top/getLhls',
    method: 'post',
    data: data
  })
}

export function countLhls(data) {
  return request({
    url: '/api/business/top/countLhls',
    method: 'post',
    data: data
  })
}

export function addLhl(data) {
  return request({
    url: '/api/business/top/addLhl',
    method: 'post',
    data: data
  })
}

export function updateLhl(data) {
  return request({
    url: '/api/business/top/updateLhl',
    method: 'post',
    data: data
  })
}

export function deleteLhl(data) {
  return request({
    url: '/api/business/top/deleteLhl?id=' + data,
    method: 'post'
  })
}
// -------------------------捣珠-------------------------------------------
export function getDzConfig(data) {
  return request({
    url: '/api/business/top/getDzConfig',
    method: 'post',
    data: data
  })
}

export function countDzConfig(data) {
  return request({
    url: '/api/business/top/countDzConfig',
    method: 'post',
    data: data
  })
}

export function addDzConfig(data) {
  return request({
    url: '/api/business/top/addDzConfig',
    method: 'post',
    data: data
  })
}

export function updateDzConfig(data) {
  return request({
    url: '/api/business/top/updateDzConfig',
    method: 'post',
    data: data
  })
}

export function deleteDzConfig(data) {
  return request({
    url: '/api/business/top/deleteDzConfig?id=' + data,
    method: 'post'
  })
}
// -------------------------弹框-------------------------------------------
export function getTopTankuang(data) {
  return request({
    url: '/api/business/top/getTopTankuang',
    method: 'post',
    data: data
  })
}

export function addTopTankuang(data) {
  return request({
    url: '/api/business/top/addTopTankuang',
    method: 'post',
    data: data
  })
}

export function updateTopTankuang(data) {
  return request({
    url: '/api/business/top/updateTopTankuang',
    method: 'post',
    data: data
  })
}

export function deleteTopTankuang(data) {
  return request({
    url: '/api/business/top/deleteTopTankuang?id=' + data,
    method: 'post'
  })
}

// -------------------------幽默猜测-------------------------------------------

// 幽默猜测查询列表
export function fetchList(data) {
  return request({
    url: '/api/business/top/pageHumorous',
    method: 'get',
    params: data
  })
}

// 新增/修改幽默猜测
export function updateHumorous(data) {
  return request({
    url: '/api/business/top/saveHumorous',
    method: 'get',
    params: data
  })
}

// 删除幽默猜测
export function deleteHumorous(data) {
  return request({
    url: '/api/business/top/deleteHumorous',
    method: 'get',
    params: data
  })
}

// -------------------------资料-------------------------------------------

// 资料查询列表
export function fetchArticleList(data) {
  return request({
    url: '/api/business/top/pageArticle',
    method: 'get',
    params: data
  })
}

// 新增/修改资料
export function updateArticle(data) {
  return request({
    url: '/api/business/top/saveArticle',
    method: 'post',
    data
  })
}

// 删除资料
export function deleteArticle(data) {
  return request({
    url: '/api/business/top/deleteArticle',
    method: 'get',
    params: data
  })
}

// -------------------------资料类型-------------------------------------------

// 查询列表
export function fetchArticleTypeList(data) {
  return request({
    url: '/api/business/top/pageArticleType',
    method: 'get',
    params: data
  })
}

// 新增/修改
export function updateArticleType(data) {
  return request({
    url: '/api/business/top/saveArticleType',
    method: 'get',
    params: data
  })
}

// 删除
export function deleteArticleType(data) {
  return request({
    url: '/api/business/top/deleteArticleType',
    method: 'get',
    params: data
  })
}

// -------------------------玄机信息-------------------------------------------
export function getXjxxsList(data) {
  return request({
    url: '/api/business/top/getXjxxs',
    method: 'get',
    params: data
  })
}

export function editXjxx(data) {
  return request({
    url: '/api/business/top/saveXjxx',
    method: 'post',
    data: data
  })
}

export function delXjxx(data) {
  return request({
    url: '/api/business/top/deleteXjxx?id=' + data.id,
    method: 'get'
  })
}

// -------------------------图库列表-------------------------------------------
export function getPagePicStorage(data) {
  return request({
    url: '/api/business/top/pagePicStorage',
    method: 'get',
    params: data
  })
}

export function editPicStorage(data) {
  return request({
    url: '/api/business/top/savePicStorage',
    method: 'post',
    data: data
  })
}

export function delPicStorage(data) {
  return request({
    url: '/api/business/top/deletePicStorage?id=' + data.id,
    method: 'post'
  })
}

// -------------------------图库竞猜列表-------------------------------------------
export function getPagePicPredict(data) {
  return request({
    url: '/api/business/top/pagePicPredict',
    method: 'get',
    params: data
  })
}

// -------------------------关于我们-------------------------------------------
export function getAboutUs(data) {
  return request({
    url: '/api/business/top/getAboutUs',
    method: 'get',
    params: data
  })
}

export function editAboutUs(data) {
  return request({
    url: '/api/business/top/saveAboutUs',
    method: 'post',
    data: data
  })
}

export function changePicPredictStatus(data) {
  return request({
    url: '/api/business/top/changeStatus',
    method: 'post',
    data: data
  })
}
// 评论
export function deleteComment(data) {
  return request({
    url: '/api/business/top/deleteComment?id=' + data,
    method: 'get'
  })
}
export function deleteComments(data) {
  return request({
    url: '/api/business/top/deleteComments',
    method: 'post',
    data: data
  })
}

export function pageComment(data) {
  return request({
    url: '/api/business/top/pageComment',
    method: 'get',
    params: data
  })
}
export function saveComment(data) {
  return request({
    url: '/api/business/top/saveComment',
    method: 'post',
    data: data
  })
}

export function pullArticleType(data) {
  return request({
    url: '/api/business/task/pullArticleType',
    method: 'get',
    params: data
  })
}

export function pullArticle(data) {
  return request({
    url: '/api/business/task/pullArticle',
    method: 'get',
    params: data
  })
}


// dropedit
export function selectExchange2(data) {
  return request({
    url: '/api/business/customer/pageAccountType', 
    method: 'get',
    params: data
  })
}
export function selectExchange(data) {
  return request({
    url: '/api/business/customer/pageExchangeRatio', 
    method: 'get',
    params: data
  })
}
// droped
export function addExchange2(data) {
  console.log('=============')
  console.log(data)
  return request({
    url: '/api/business/customer/saveAccountType', 
    method: 'post',
    data: data
  })
}
export function addExchange(data) {
  console.log('=============')
  console.log(data)
  return request({
    url: '/api/business/customer/saveExchangeRatio', 
    method: 'post',
    data: data
  })
}

export function delExchange(data) {
  return request({
    url: '/api/business/customer/deleteAccountType?id=' + data, 
    method: 'get'
  })
}