import request from '@/utils/request'

export function login(data) {
  return request({
    url: '/oauth/token',
    method: 'post',
    params: data
  })
}

export function getInfo() {
  return request({
    url: '/api/business/tbUser/getUserInfo',
    method: 'get'
  })
}

export function logout(data) {
  return request({
    url: '/api/business/tuser/myLogout?accessToken=' + data,
    method: 'get'
  })
}

// 用户查询列表
export function fetchList(data) {
  return request({
    url: '/api/business/tuser/queryAllUser',
    method: 'get',
    params: data
  })
}
// export function fetchList(data) {
//   return request({
//     url: '/api/business/tuser/userList',
//     method: 'post',
//     data: data
//   })
// }

// 新增用户
export function addUser(data) {
  return request({
    url: '/api/business/tuser/saveUser',
    method: 'post',
    data: data
  })
}

// 修改用户
export function updateUser(data) {
  return request({
    url: '/api/business/tuser/updateUser',
    method: 'post',
    data: data
  })
}

// 单个用户信息查询
export function getOneInfo(data) {
  return request({
    url: '/api/business/tuser/info/one',
    method: 'post',
    params: data
  })
}

// 删除用户信息
export function deleteOneInfo(data) {
  return request({
    url: '/api/business/tuser/delete',
    method: 'post',
    params: data
  })
}

// 用户单个角色信息查询(用户修改)
export function getoneInfoRoles(data) {
  return request({
    url: '/api/business/tuser/info/getTbUserRoles',
    method: 'post',
    params: data
  })
}

// 用户冻结/解冻
export function updateStatus(data) {
  return request({
    url: '/api/business/tuser/updateStatus',
    method: 'post',
    params: data
  })
}

// 获取角色列表信息
export function roleList(data) {
  return request({
    url: '/api/business/role/list',
    params: data,
    method: 'post'
  })
}

// 修改角色
export function getRoleInfo(data) {
  return request({
    url: '/api/business/role/info',
    method: 'post',
    params: data
  })
}

// 新增角色
export function addRole(data) {
  return request({
    url: '/api/business/role/saveRole',
    method: 'post',
    data: data
  })
}

// 修改角色
export function updateRole(data) {
  return request({
    url: '/api/business/role/updateRole',
    method: 'post',
    data: data
  })
}

// 检索菜单接口
export function permissionListAll(data) {
  return request({
    url: '/api/business/permission/permissionListAll',
    method: 'get',
    data: data
  })
}
