import Vue from 'vue'
import modal from '@/plugins/modal'

export function resetForm(refName) {
  if (this.$refs[refName]) {
    this.$refs[refName].resetFields()
  }
}

export const dicts = {
  boolean_type: [
    { label: '否', value: 0 },
    { label: '是', value: 1 }
  ],
  comment_p_type: [
    { label: '爱心捐献', value: 0 },
    { label: '众筹', value: 1 }
  ],
  cate_type: [
    { label: '首页', value: 1 },
    { label: '新闻', value: 2 },
    { label: '公益', value: 3 },
    { label: '慈善', value: 4 },
    { label: '爱心捐赠', value: 5 },
    { label: '信息公开', value: 6 },
    { label: '关于我们', value: 7 },
    { label: '首页新闻轮播', value: 8 }
  ],
  channel_type: [
    { label: '官网', value: 0 },
    { label: 'APP', value: 1 },
    { label: '银行', value: 2 }
  ],
  duties_type: [
    { label: '理事会', value: 1 },
    { label: '监事会', value: 2 }
  ],
  certificate_type: [
    { label: '资质证书', value: 1 },
    { label: '捐赠证书', value: 2 },
    { label: '发票票据', value: 3 }
  ],
  about_type: [
    { label: '文档', value: 0 },
    { label: '集锦', value: 1 }
  ],
  audit_type: [
    { label: '待审核', value: 0 },
    { label: '审核通过', value: 1 },
    { label: '审核不通过', value: 2 }
  ],
  pay_type: [
    { label: '支付宝', value: 1 },
    { label: '微信', value: 2 }
  ],
  lunbo_source_type: [
    { label: '官网', value: 0 },
    { label: 'APP', value: 1 }
  ],
  apply_type: [
    { label: '捐赠认领', value: 1 },
    { label: '证书申请', value: 2 }
  ],
  status_type: [
    { label: '生效中', value: 0 },
    { label: '已停用', value: 1 }
  ],
  role_group: [
    { label: '普通用户', value: 0 },
    { label: '管理员', value: 1 }
  ],
  project_type: [
    { label: '非定向', value: 0 },
    { label: '应急救援', value: 1 },
    { label: '医疗援助与发展', value: 2 },
    { label: '社会关怀', value: 3 }
  ],
  project_w_type: [
    { label: '项目进展', value: 0 },
    { label: '相关咨询', value: 1 }
  ],
  order_type: [
    { label: '银行账号', value: 1 },
    { label: '交易单号', value: 2 }
  ],
  p_info_type: [
    { label: '年度报告', value: 0 },
    { label: '工作报告', value: 1 },
    { label: '审计报告', value: 2 },
    { label: '季度报告', value: 3 }
  ],
  order_status_type: [
    { label: '创建', value: 0 },
    { label: '等待支付', value: 1 },
    { label: '支付完成', value: 2 },
    { label: '订单完成', value: 3 },
    { label: '支付取消', value: 4 }
  ],
  crowd_type: [
    { label: '非定向', value: 0 },
    { label: '应急救援', value: 1 },
    { label: '医疗援助与发展', value: 2 },
    { label: '社会关怀', value: 3 },
    { label: '定向', value: 4 }
  ],
  crowd_donate_status: [
    { label: '筹款中', value: 0 },
    { label: '已结束', value: 1 }
  ],
  article_type: [
    { label: '基金会章程', value: 0 },
    { label: '管理制度', value: 1 },
    { label: '抵扣说明', value: 2 },
    { label: '爱心传递', value: 3 },
    { label: '党建活动', value: 10 },
    { label: '志愿者招募', value: 11 },
    { label: '首页新闻中心', value: 12 }
  ],
  news_type: [
    { label: '网站公告', value: 4 },
    { label: '项目动态', value: 5 },
    { label: '视频动态', value: 6 },
    { label: '志愿者动态', value: 7 },
    { label: '行业动态', value: 8 },
    { label: '社会评价', value: 9 }
  ],
  lx_level: [
    { label: '一级拉新', value: 1 },
    { label: '二级拉新', value: 2 }
  ]

}

export function mapDicts(typeArr) {
  const gs = {}
  typeArr.forEach(type => {
    if (dicts.hasOwnProperty(type)) {
      gs[type] = {
        get: function() {
          return dicts[type]
        }
      }
    }
  })
  return gs
}

export function stringIsNotEmpty(str) {
  return str != null && str != undefined && str.trim().length > 0
}

Vue.prototype.stringIsNotEmpty = stringIsNotEmpty
Vue.prototype.resetForm = resetForm
Vue.prototype.$modal = modal
